## conmon 2.0.9

=== Makefile ===
VERSION := $(shell cat VERSION)
PREFIX ?= /usr/local
BINDIR ?= ${PREFIX}/bin
LIBEXECDIR ?= ${PREFIX}/libexec
GO ?= go
PROJECT := github.com/containers/conmon
PKG_CONFIG ?= pkg-config



.PHONY: all git-vars
all: git-vars bin bin/conmon

git-vars:
ifeq ($(shell bash -c '[[ `command -v git` && `git rev-parse --git-dir 2>/dev/null` ]] && echo true'),true)
	$(eval COMMIT_NO :=$(shell git rev-parse HEAD 2> /dev/null || true))
	$(eval GIT_COMMIT := $(if $(shell git status --porcelain --untracked-files=no),"${COMMIT_NO}-dirty","${COMMIT_NO}"))
	$(eval GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null))
	$(eval GIT_BRANCH_CLEAN := $(shell echo $(GIT_BRANCH) | sed -e "s/[^[:alnum:]]/-/g"))
else
	$(eval COMMIT_NO := unknown)
	$(eval GIT_COMMIT := unknown)
	$(eval GIT_BRANCH := unknown)
	$(eval GIT_BRANCH_CLEAN := unknown)
endif

override LIBS += $(shell $(PKG_CONFIG) --libs glib-2.0)

CFLAGS ?= -std=c99 -Os -Wall -Wextra -Werror
override CFLAGS += $(shell $(PKG_CONFIG) --cflags glib-2.0) -DVERSION=\"$(VERSION)\" -DGIT_COMMIT=\"$(GIT_COMMIT)\"

# Conditionally compile journald logging code if the libraries can be found
# if they can be found, set USE_JOURNALD macro for use in conmon code.
#
# "pkg-config --exists" will error if the package doesn't exist. Make can only compare
# output of commands, so the echo commands are to allow pkg-config to error out, make to catch it,
# and allow the compilation to complete.
ifeq ($(shell $(PKG_CONFIG) --exists libsystemd-journal && echo "0" || echo "1"), 0)
	override LIBS += $(shell $(PKG_CONFIG) --libs libsystemd-journal)
	override CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd-journal) -D USE_JOURNALD=0
else ifeq ($(shell $(PKG_CONFIG) --exists libsystemd && echo "0" || echo "1"), 0)
	override LIBS += $(shell $(PKG_CONFIG) --libs libsystemd)
	override CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) -D USE_JOURNALD=0
endif

define DOCKERFILE
	FROM alpine:latest
	RUN apk add --update --no-cache bash make git gcc pkgconf libc-dev glib-dev glib-static
	COPY . /go/src/$(PROJECT)
	WORKDIR /go/src/$(PROJECT)
	RUN make static
endef
export DOCKERFILE

containerized: bin
	$(eval PODMAN ?= $(if $(shell podman -v),podman,docker))
	echo "$$DOCKERFILE" | $(PODMAN) build --force-rm -t conmon-build -f - .
	CTR=`$(PODMAN) create conmon-build` \
		&& $(PODMAN) cp $$CTR:/go/src/$(PROJECT)/bin/conmon bin/conmon \
		&& $(PODMAN) rm $$CTR

static:
	$(MAKE) git-vars bin/conmon PKG_CONFIG='$(PKG_CONFIG) --static' CFLAGS='-static' LDFLAGS='$(LDFLAGS) -s -w -static' LIBS='$(LIBS)'

bin/conmon: src/conmon.o src/cmsg.o src/ctr_logging.o src/utils.o | bin
	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)

%.o: %.c
	$(CC) $(CFLAGS) -o $@ -c $<

config: git-vars cmd/conmon-config/conmon-config.go runner/config/config.go runner/config/config_unix.go runner/config/config_windows.go
	$(GO) build $(LDFLAGS) -tags "$(BUILDTAGS)" -o bin/config $(PROJECT)/cmd/conmon-config
		( cd src && $(CURDIR)/bin/config )

src/cmsg.o: src/cmsg.c src/cmsg.h

src/utils.o: src/utils.c src/utils.h

src/ctr_logging.o: src/ctr_logging.c src/ctr_logging.h src/utils.h

src/conmon.o: src/conmon.c src/cmsg.h src/config.h src/utils.h src/ctr_logging.h

bin:
	mkdir -p bin

.PHONY: clean
clean:
	rm -rf bin/ src/*.o

.PHONY: install install.bin install.crio install.podman podman crio
install: install.bin

podman: install.podman

crio: install.crio

install.bin: bin/conmon
	install ${SELINUXOPT} -D -m 755 bin/conmon $(DESTDIR)$(BINDIR)/conmon

install.crio: bin/conmon
	install ${SELINUXOPT} -D -m 755 bin/conmon $(DESTDIR)$(LIBEXECDIR)/crio/conmon

install.podman: bin/conmon
	install ${SELINUXOPT} -D -m 755 bin/conmon $(DESTDIR)$(LIBEXECDIR)/podman/conmon

.PHONY: fmt
fmt:
	find . '(' -name '*.h' -o -name '*.c' ')'  -exec clang-format -i {} \+
	git diff --exit-code

=== contrib/cirrus/packer/Makefile ===

PACKER_VER ?= 1.3.5
PACKER_DIST_FILENAME := packer_${PACKER_VER}_linux_amd64.zip

# Only needed for conmon_base_images target
TIMESTAMP := $(shell date +%s)
SRC ?= $(shell realpath "./../../../")
PACKER_BASE ?= ./contrib/cirrus/packer
SCRIPT_BASE ?= ./contrib/cirrus

# For debugging nested-virt, use
#TTYDEV := $(shell tty)
TTYDEV := /dev/null

.PHONY: all
all: conmon_images

%.json: %.yml
	@python3 -c 'import json,yaml; json.dump( yaml.load(open("$<").read()), open("$@","w"), indent=2);'

${PACKER_DIST_FILENAME}:
	@curl -L --silent --show-error \
		-O https://releases.hashicorp.com/packer/${PACKER_VER}/${PACKER_DIST_FILENAME}

packer: ${PACKER_DIST_FILENAME}
	@curl -L --silent --show-error \
		https://releases.hashicorp.com/packer/${PACKER_VER}/packer_${PACKER_VER}_SHA256SUMS \
		| grep 'linux_amd64' > /tmp/packer_sha256sums
	@sha256sum --check /tmp/packer_sha256sums
	@unzip -o ${PACKER_DIST_FILENAME}
	@touch --reference=Makefile ${PACKER_DIST_FILENAME}

.PHONY: test
test: conmon_base_images.json conmon_images.json packer
	./packer inspect conmon_base_images.json > /dev/null
	./packer inspect conmon_images.json > /dev/null
	@echo "All good"

.PHONY: check_common_env
check_common_env:
ifndef SRC
	$(error SRC is undefined, expected complete path to repository source directory.)
endif
ifndef SCRIPT_BASE
	$(error SCRIPT_BASE is undefined, expected relative path to cirrus scripts directory.)
endif
ifndef PACKER_BASE
	$(error PACKER_BASE is undefined, expected relative path to packer directory.)
endif
ifndef PACKER_VER
	$(error PACKER_VER is undefined, expected string version number of packer to use.)
endif
ifndef PACKER_BUILDS
	$(error PACKER_BUILDS is undefined, expected CSV of builders to utilize.)
endif
ifndef GCP_PROJECT_ID
	$(error GCP_PROJECT_ID is undefined, expected complete GCP project ID string e.g. foobar-12345.)
endif

.PHONY: cache_image_checkenv
cache_image_checkenv: check_common_env
ifndef GCE_SSH_USERNAME
	$(error GCE_SSH_USERNAME is undefined, expected user with ssh access to base-image.)
endif
ifndef SERVICE_ACCOUNT
	$(error SERVICE_ACCOUNT is undefined, expected GCE service account name for managing VMs.)
endif
ifndef BUILT_IMAGE_SUFFIX
	$(error BUILT_IMAGE_SUFFIX is undefined, expected suffix string to make produced image names unique.)
endif
ifndef CRIO_REPO
	$(error CRIO_REPO is undefined, expected URL to CRI-O repository to use)
endif
ifndef CRIO_SLUG
	$(error CRIO_SLUG is undefined, expected GOPATH/src/ subdirectory to use for CRI-O.)
endif
ifndef FEDORA_BASE_IMAGE
	$(error FEDORA_BASE_IMAGE is undefined, expected name of existing base-image.)
endif

.PHONY: base_image_checkenv
base_image_checkenv: check_common_env
ifndef TIMESTAMP
	$(error TIMESTAMP is undefined, expected unix epoch.)
endif
ifndef GOOGLE_APPLICATION_CREDENTIALS
	$(error GOOGLE_APPLICATION_CREDENTIALS is undefined, expected path to JSON file.  See https://cloud.google.com/docs/authentication/end-user#creating_your_client_credentials)
endif

.PHONY: conmon_images
conmon_images: cache_image_checkenv conmon_images.json packer
	@GCE_SSH_USERNAME=${GCE_SSH_USERNAME} \
	GCP_PROJECT_ID=${GCP_PROJECT_ID} \
	SERVICE_ACCOUNT="${SERVICE_ACCOUNT}" \
	./packer build -only=${PACKER_BUILDS} \
		-var SRC=${SRC} \
		-var SCRIPT_BASE=${SCRIPT_BASE} \
		-var PACKER_BASE=${PACKER_BASE} \
		-var BUILT_IMAGE_SUFFIX=${BUILT_IMAGE_SUFFIX} \
		-var CRIO_REPO=${CRIO_REPO} \
		-var CRIO_SLUG=${CRIO_SLUG} \
		-var FEDORA_BASE_IMAGE=${FEDORA_BASE_IMAGE} \
		conmon_images.json
	@echo ""
	@echo "Finished.  The images mentioned above, and in packer-manifest.json"
	@echo "can be used in .cirrus.yml as values for the 'image_name' keys"
	@echo ""



cidata.ssh:
	ssh-keygen -f $@ -P "" -q

cidata.ssh.pub: cidata.ssh
	touch $@

meta-data:
	echo "local-hostname: localhost.localdomain" > $@

user-data: cidata.ssh.pub
	bash make-user-data.sh

cidata.iso: user-data meta-data
	genisoimage -output cidata.iso -volid cidata -input-charset utf-8 -joliet -rock user-data meta-data

# This is intended to be run by a human, with admin access to the conmon GCE project.
.PHONY: conmon_base_images
conmon_base_images: base_image_checkenv conmon_base_images.json cidata.iso cidata.ssh packer
	@PACKER_CACHE_DIR=/tmp \
	GOOGLE_APPLICATION_CREDENTIALS="${GOOGLE_APPLICATION_CREDENTIALS}" \
	GCP_PROJECT_ID=${GCP_PROJECT_ID} \
		./packer build \
			-var TIMESTAMP=${TIMESTAMP} \
			-var TTYDEV=${TTYDEV} \
			-var SRC=${SRC} \
			-var PACKER_BASE=${PACKER_BASE} \
			-var SCRIPT_BASE=${SCRIPT_BASE} \
			-only ${PACKER_BUILDS} \
			conmon_base_images.json
	@echo ""
	@echo "Finished.  The images mentioned above, and in packer-manifest.json"
	@echo "can be used in .cirrus.yml as values for the *_BASE_IMAGE keys."
	@echo ""

## conmon 0.3.0

=== debian/changelog ===
conmon (0.3.0-1) unstable; urgency=low

  * Initial release (Closes: #930898)

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Fri, 21 Jun 2019 22:08:54 -0700

=== debian/control ===
Source: conmon
Section: admin
Priority: optional
Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
Build-Depends: debhelper-compat (= 12),
               golang-go,
               libglib2.0-dev, libsystemd-dev
Standards-Version: 4.3.0
Homepage: https://github.com/containers/conmon
Vcs-Browser: https://salsa.debian.org/podman-team/conmon
Vcs-Git: https://salsa.debian.org/podman-team/conmon.git

Package: conmon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OCI container runtime monitor
 Conmon is a monitoring program and communication tool between a container
 manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a
 single container.
 .
 Upon being launched, it double-forks to daemonize and detach from the parent
 that launched it. It then launches the runtime as its child. This allows
 managing processes to die in the foreground, but still be able to watch over
 and connect to the child process (the container).
 .
 While the container runs, conmon does two things:
 .
 - Provides a socket for attaching to the container, holding open the
   container's standard streams and forwarding them over the socket.
 - Writes the contents of the container's streams to a log file (or to the
   systemd journal) so they can be read after the container's death.
 .
 Finally, upon the containers death, conmon will record its exit time and code
 to be read by the managing programs.
 .
 Written in C and designed to have a low memory footprint, conmon is intended to
 be run by a container managing library. Essentially, conmon is the smallest
 daemon a container can have.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

# Upstream's `make clean` target is broken
override_dh_auto_clean:
	:

override_dh_auto_install:
	make install.podman DESTDIR=$(CURDIR)/debian/conmon PREFIX=/usr

## conmon 2.0.0

=== debian/changelog ===
conmon (2.0.0-1) unstable; urgency=low

  [ Nicolas Braud-Santoni ]
  * New upstream version 2.0.0 (2019-08-09)

  * debian/copyright: Add Birger as a copyright holder for the packaging
  * salsa.d.o: Set up Continuous Integration for the package
  * debian/rules: Install upstream's changelog
  * debian/control: Declare compliance with policy v4.4.0.
    No change required.

  [ Birger Schacht ]
  * CI: Automatically use configuration from salsa-ci-team
  * debian/control: Set `Rules-Requires-Root` to `no`
  * debian/rules: Make build flags work with upstream's Makefile
  * debian/upstream: Add metadata

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Sat, 17 Aug 2019 12:18:22 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Build-Depends: debhelper-compat (= 12),
                golang-go,
                libglib2.0-dev, libsystemd-dev
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Homepage: https://github.com/containers/conmon
 Vcs-Browser: https://salsa.debian.org/podman-team/conmon
 Vcs-Git: https://salsa.debian.org/podman-team/conmon.git
+Rules-Requires-Root: no
 
 Package: conmon
 Architecture: any

## conmon 2.0.2

=== debian/changelog ===
conmon (2.0.2-1) unstable; urgency=low

  * New upstream release (2019-10-28)

  * debian/control
    + Update maintainership information
      - Transfer maintainership to a team address
      - Add Birger Schacht and Jamie Bliss to Uploaders
    + Declare compliance with policy v4.4.1.
      No change required

 -- Nicolas Braud-Santoni <nicoo@debian.org>  Wed, 30 Oct 2019 12:35:53 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: conmon
 Section: admin
 Priority: optional
-Maintainer: Nicolas Braud-Santoni <nicoo@debian.org>
+Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
+Uploaders: Birger Schacht <birger@rantanplan.org>,
+           Jamie Bliss <jamie@ivyleav.es>,
+           Nicolas Braud-Santoni <nicoo@debian.org>
 Build-Depends: debhelper-compat (= 12),
                golang-go,
                libglib2.0-dev, libsystemd-dev
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Homepage: https://github.com/containers/conmon
 Vcs-Browser: https://salsa.debian.org/podman-team/conmon
 Vcs-Git: https://salsa.debian.org/podman-team/conmon.git

## conmon 2.0.8~3

=== debian/changelog ===
conmon (2.0.8~3) stable; urgency=medium

  * update LDFLAGS for aarch64 builds 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 19 Dec 2019 20:34:27 +0000

conmon (2.0.8~2) stable; urgency=medium

  * BR: libsystemd-dev 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 17 Dec 2019 16:03:02 +0000

conmon (2.0.8~1) stable; urgency=medium

  * bump to v2.0.8

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Tue, 17 Dec 2019 15:04:05 +0000

conmon (2.0.7~1) stable; urgency=medium

  * bump to v2.0.7 

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Thu, 12 Dec 2019 21:34:01 +0000

conmon (2.0.3-2) stable; urgency=medium

  * rebuild on GitLab+OBS

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Nov 2019 14:36:48 +0000

conmon (2.0.3-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v2.0.3

 -- RH Container Bot <rh.container.bot@gmail.com>  Thu, 14 Nov 2019 14:13:09 +0000

conmon (2.0.2-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v2.0.2

 -- RH Container Bot <rh.container.bot@gmail.com>  Mon, 28 Oct 2019 21:13:30 +0000

conmon (2.0.1-1~ubuntu19.04~ppa3) disco; urgency=medium

  * autobuilt v2.0.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 11:03:47 +0000

conmon (2.0.1-1~ubuntu19.04~ppa2) disco; urgency=medium

  * autobuilt v2.0.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Wed, 09 Oct 2019 10:54:48 +0000

conmon (2.0.1-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v2.0.1

 -- RH Container Bot <rh.container.bot@gmail.com>  Mon, 07 Oct 2019 14:04:36 +0000

conmon (2.0.0-1~ubuntu19.04~ppa2) disco; urgency=medium

  * install for podman and crio

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Fri, 16 Aug 2019 13:45:32 +0000

conmon (2.0.0-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v2.0.0

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Sun, 11 Aug 2019 14:30:59 +0000

conmon (1.0.0-1~ubuntu19.04~ppa1) disco; urgency=medium

  * bump to v1.0.0-rc2

 -- Lokesh Mandvekar (Bot) <lsm5+bot@fedoraproject.org>  Fri, 09 Aug 2019 14:30:44 +0000

conmon (0-1~dev~ubuntu18.04~ppa2) bionic; urgency=medium

  * build-depends: libglib2.0-dev
  * autobuilt cc2b495

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Mar 2019 14:08:04 +0000

conmon (0-1~dev~ubuntu18.04~ppa1) bionic; urgency=medium

  * initial build

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Mon, 18 Mar 2019 09:06:49 -0400

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1
BUILDDIR := $(shell pwd)
DESTDIR := $(BUILDDIR)/debian/conmon
PREFIX := $(DESTDIR)/usr
LIBEXECDIR := $(PREFIX)/libexec
LDFLAGS += -L/usr/lib64
UPSTREAM_TAG=v2.0.8

%:
	dh $@ --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	make

override_dh_auto_install:
	make PREFIX=$(PREFIX) LDFLAGS="$(LDFLAGS)" LIBEXECDIR=$(LIBEXECDIR) install.bin install.crio install.podman

override_dh_auto_clean:
	rm -rf bin

## conmon 2.0.9

=== debian/changelog ===
conmon (2.0.9-1) unstable; urgency=medium

  * New upstream release.
  * Install README.
  * Added myself to Uploaders.

 -- Dmitry Smirnov <onlyjob@debian.org>  Thu, 16 Jan 2020 20:45:49 +1100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
 Uploaders: Birger Schacht <birger@rantanplan.org>,
            Jamie Bliss <jamie@ivyleav.es>,
-           Nicolas Braud-Santoni <nicoo@debian.org>
+           Nicolas Braud-Santoni <nicoo@debian.org>,
+           Dmitry Smirnov <onlyjob@debian.org>,
 Build-Depends: debhelper-compat (= 12),
                golang-go,
                libglib2.0-dev, libsystemd-dev

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
# Upstream's Makefile doesn't honor CPPFLAGS
CFLAGS+=$(CPPFLAGS)

%:
	dh $@

# Upstream's `make clean` target is broken
override_dh_auto_clean:
	:

override_dh_auto_install:
	make install.podman DESTDIR=$(CURDIR)/debian/conmon PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

## conmon 2.0.10~1

=== debian/changelog ===
conmon (2.0.10~1) testing; urgency=medium

  * autobuilt v2.0.10

 -- RH Container Bot <rhcontainerbot@fedoraproject.org>  Thu, 23 Jan 2020 09:10:31 +0000

conmon (2.0.9~1) testing; urgency=medium

  * autobuilt v2.0.9

 -- RH Container Bot <rhcontainerbot@fedoraproject.org>  Wed, 22 Jan 2020 12:07:48 +0000

conmon (2.0.8~4) testing; urgency=medium

  * rebuild for testing gitlab+obs

 -- Lokesh Mandvekar <lsm5@fedoraproject.org>  Sun, 22 Dec 2019 13:36:54 +0000

=== debian/control ===
Source: conmon
Section: devel
Priority: optional
Maintainer: Lokesh Mandvekar <lsm5@fedoraproject.org>
Build-Depends: debhelper (>=9),
   libglib2.0-dev,
   libsystemd-dev
Standards-Version: 4.3.0
Homepage: https://github.com/containers/conmon.git
Vcs-Git: git://github.com/lsm5/conmon.git

Package: conmon
Architecture: any
Depends: ${misc:Depends},
Description: OCI container runtime monitor

=== debian/rules ===
#!/usr/bin/make -f

DH_VERBOSE=1
BUILDDIR := $(shell pwd)
DESTDIR := $(BUILDDIR)/debian/conmon
PREFIX := $(DESTDIR)/usr
LIBEXECDIR := $(PREFIX)/libexec
LDFLAGS += -L/usr/lib64
UPSTREAM_TAG=v2.0.10

%:
	dh $@ --builddirectory=$(BUILDDIR)

override_dh_auto_build:
	make

override_dh_auto_install:
	make PREFIX=$(PREFIX) LDFLAGS="$(LDFLAGS)" LIBEXECDIR=$(LIBEXECDIR) install.bin install.crio install.podman

override_dh_auto_clean:
	rm -rf bin

## conmon 2.0.18

=== debian/changelog ===
conmon (2.0.18-1) unstable; urgency=medium

  * Team upload
  * New upstream version 2.0.18, Closes: #964858

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 03 Aug 2020 12:57:11 -0400

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
# Upstream's Makefile doesn't honor CPPFLAGS
CFLAGS+=$(CPPFLAGS)

%:
	dh $@

# Upstream's `make clean` target is broken
override_dh_auto_clean:
	:

# Upstream's `make test` target doesn't work either
override_dh_auto_test:
	:

override_dh_auto_install:
	make install.podman DESTDIR=$(CURDIR)/debian/conmon PREFIX=/usr

override_dh_installchangelogs:
	dh_installchangelogs changelog.txt

## conmon 2.0.20

=== debian/changelog ===
conmon (2.0.20-1) unstable; urgency=medium

  * New upstream version 2.0.20
  * debian/control: Add myself to uploaders

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 10 Aug 2020 10:13:27 -0400

=== debian/control ===
Source: conmon
Section: admin
Priority: optional
Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
Uploaders: Birger Schacht <birger@rantanplan.org>,
           Jamie Bliss <jamie@ivyleav.es>,
           Nicolas Braud-Santoni <nicoo@debian.org>,
           Dmitry Smirnov <onlyjob@debian.org>,
           Reinhard Tartler <siretart@tauware.de>,
Build-Depends: debhelper-compat (= 12),
               golang-go,
               libglib2.0-dev, libsystemd-dev
Standards-Version: 4.4.1
Homepage: https://github.com/containers/conmon
Vcs-Browser: https://salsa.debian.org/podman-team/conmon
Vcs-Git: https://salsa.debian.org/podman-team/conmon.git
Rules-Requires-Root: no

Package: conmon
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OCI container runtime monitor
 Conmon is a monitoring program and communication tool between a container
 manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a
 single container.
 .
 Upon being launched, it double-forks to daemonize and detach from the parent
 that launched it. It then launches the runtime as its child. This allows
 managing processes to die in the foreground, but still be able to watch over
 and connect to the child process (the container).
 .
 While the container runs, conmon does two things:
 .
 - Provides a socket for attaching to the container, holding open the
   container's standard streams and forwarding them over the socket.
 - Writes the contents of the container's streams to a log file (or to the
   systemd journal) so they can be read after the container's death.
 .
 Finally, upon the containers death, conmon will record its exit time and code
 to be read by the managing programs.
 .
 Written in C and designed to have a low memory footprint, conmon is intended to
 be run by a container managing library. Essentially, conmon is the smallest
 daemon a container can have.

## conmon 2.0.25%2Bds1

=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,10 @@
 %:
 	dh $@
 
+override_dh_auto_build:
+	dh_auto_build
+	make -C docs docs GOMD2MAN=/usr/bin/go-md2man
+
 # Upstream's `make clean` target is broken
 override_dh_auto_clean:
 	:
@@ -22,7 +26,7 @@
 	:
 
 override_dh_auto_install:
-	make install.podman DESTDIR=$(CURDIR)/debian/conmon PREFIX=/usr
+	make install.bin DESTDIR=$(CURDIR)/debian/conmon PREFIX=/usr
 
 override_dh_installchangelogs:
 	dh_installchangelogs changelog.txt

## conmon 2.0.25+ds1

=== Makefile ===
--- 
+++ 
@@ -5,10 +5,16 @@
 GO ?= go
 PROJECT := github.com/containers/conmon
 PKG_CONFIG ?= pkg-config
+HEADERS := $(wildcard src/*.h)
+OBJS := src/conmon.o src/cmsg.o src/ctr_logging.o src/utils.o src/cli.o src/globals.o src/cgroup.o src/conn_sock.o src/oom.o src/ctrl.o src/ctr_stdio.o src/parent_pipe_fd.o src/ctr_exit.o src/runtime_args.o src/close_fds.o
+DEBUGTAG ?=
+ifneq (,$(findstring enable_debug,$(DEBUGTAG)))
+	DEBUGFLAG=-g
+else
+	DEBUGFLAG=
+endif
 
-
-
-.PHONY: all git-vars
+.PHONY: all git-vars docs
 all: git-vars bin bin/conmon
 
 git-vars:
@@ -43,52 +49,53 @@
 	override CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) -D USE_JOURNALD=0
 endif
 
-define DOCKERFILE
-	FROM alpine:latest
-	RUN apk add --update --no-cache bash make git gcc pkgconf libc-dev glib-dev glib-static
-	COPY . /go/src/$(PROJECT)
-	WORKDIR /go/src/$(PROJECT)
-	RUN make static
-endef
-export DOCKERFILE
+# Update nix/nixpkgs.json its latest stable commit
+.PHONY: nixpkgs
+nixpkgs:
+	@nix run -f channel:nixos-20.09 nix-prefetch-git -c nix-prefetch-git \
+		--no-deepClone https://github.com/nixos/nixpkgs > nix/nixpkgs.json
 
-containerized: bin
-	$(eval PODMAN ?= $(if $(shell podman -v),podman,docker))
-	echo "$$DOCKERFILE" | $(PODMAN) build --force-rm -t conmon-build -f - .
-	CTR=`$(PODMAN) create conmon-build` \
-		&& $(PODMAN) cp $$CTR:/go/src/$(PROJECT)/bin/conmon bin/conmon \
-		&& $(PODMAN) rm $$CTR
+# Build statically linked binary
+.PHONY: static
+static:
+	@nix build -f nix/
+	mkdir -p ./bin
+	cp -rfp ./result/bin/* ./bin/
 
-static:
-	$(MAKE) git-vars bin/conmon PKG_CONFIG='$(PKG_CONFIG) --static' CFLAGS='-static' LDFLAGS='$(LDFLAGS) -s -w -static' LIBS='$(LIBS)'
+bin/conmon: $(OBJS) | bin
+	$(CC) $(LDFLAGS) $(CFLAGS) $(DEBUGFLAG) -o $@ $^ $(LIBS)
 
-bin/conmon: src/conmon.o src/cmsg.o src/ctr_logging.o src/utils.o | bin
-	$(CC) $(LDFLAGS) -o $@ $^ $(LIBS)
-
-%.o: %.c
-	$(CC) $(CFLAGS) -o $@ -c $<
+%.o: %.c $(HEADERS)
+	$(CC) $(CFLAGS) $(DEBUGFLAG) -o $@ -c $<
 
 config: git-vars cmd/conmon-config/conmon-config.go runner/config/config.go runner/config/config_unix.go runner/config/config_windows.go
 	$(GO) build $(LDFLAGS) -tags "$(BUILDTAGS)" -o bin/config $(PROJECT)/cmd/conmon-config
 		( cd src && $(CURDIR)/bin/config )
 
-src/cmsg.o: src/cmsg.c src/cmsg.h
-
-src/utils.o: src/utils.c src/utils.h
-
-src/ctr_logging.o: src/ctr_logging.c src/ctr_logging.h src/utils.h
-
-src/conmon.o: src/conmon.c src/cmsg.h src/config.h src/utils.h src/ctr_logging.h
+test: git-vars runner/conmon_test/*.go runner/conmon/*.go
+	$(GO) test $(LDFLAGS) -tags "$(BUILDTAGS)" $(PROJECT)/runner/conmon_test/
 
 bin:
 	mkdir -p bin
 
+.PHONY: vendor
+vendor:
+	GO111MODULE=on $(GO) mod tidy
+	GO111MODULE=on $(GO) mod vendor
+	GO111MODULE=on $(GO) mod verify
+
+.PHONY: docs
+docs: install.tools
+	$(MAKE) -C docs
+
 .PHONY: clean
 clean:
 	rm -rf bin/ src/*.o
+	$(MAKE) -C docs clean
 
 .PHONY: install install.bin install.crio install.podman podman crio
-install: install.bin
+install: install.bin docs
+	$(MAKE) -C docs install
 
 podman: install.podman
 
@@ -103,7 +110,21 @@
 install.podman: bin/conmon
 	install ${SELINUXOPT} -D -m 755 bin/conmon $(DESTDIR)$(LIBEXECDIR)/podman/conmon
 
+install.tools:
+	make -C tools
+
 .PHONY: fmt
 fmt:
-	find . '(' -name '*.h' -o -name '*.c' ')'  -exec clang-format -i {} \+
+	find . '(' -name '*.h' -o -name '*.c' ! -path './vendor/*' ')'  -exec clang-format -i {} \+
+	find . -name '*.go' ! -path './vendor/*' -exec gofmt -s -w {} \+
 	git diff --exit-code
+
+
+.PHONY: dbuild
+dbuild:
+	-mkdir -p bin
+	-podman rm conmon-devenv
+	podman build -t conmon-devenv:latest .
+	podman create --name conmon-devenv conmon-devenv:latest
+	podman cp conmon-devenv:/devenv/bin/conmon bin/conmon
+	@echo "for installation move conmon file to /usr/local/libexec/podman/"

=== docs/Makefile ===
PREFIX ?= /usr/local
DATADIR := ${PREFIX}/share
MANDIR := $(DATADIR)/man
GOMD2MAN = ../tools/build/go-md2man

docs: $(patsubst %.md,%,$(wildcard *.8.md))

%.8: %.8.md
	$(GOMD2MAN) -in $^ -out $@

.PHONY: install
install:
	install -d ${DESTDIR}/${MANDIR}/man8
	install -m 0644 conmon*.8 ${DESTDIR}/${MANDIR}/man8

.PHONY: clean
clean:
	$(RM) conmon*.8

=== debian/changelog ===
conmon (2.0.25+ds1-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add upstream fix to not make container runtime processes
    unkillable. (Closes: #990263)

 -- Adrian Bunk <bunk@debian.org>  Wed, 14 Jul 2021 20:46:07 +0300

conmon (2.0.25+ds1-1) unstable; urgency=medium

  * New upstream release
  * Install manpage
  * Install conmon to /usr/bin (Closes: #944104)
  * debian/copyright: normalize with 'cme update dpkg-copyright'

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 30 Jan 2021 22:56:56 -0500

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
            Dmitry Smirnov <onlyjob@debian.org>,
            Reinhard Tartler <siretart@tauware.de>,
 Build-Depends: debhelper-compat (= 12),
+               go-md2man,
                golang-go,
                libglib2.0-dev, libsystemd-dev
 Standards-Version: 4.4.1

## conmon 2.1.0+ds1

=== debian/changelog ===
conmon (2.1.0+ds1-1) unstable; urgency=medium

  * New upstream release
  * Drop patches, merge upstream

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 18 May 2022 20:25:27 -0400

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,9 @@
 Build-Depends: debhelper-compat (= 12),
                go-md2man,
                golang-go,
-               libglib2.0-dev, libsystemd-dev
+               libglib2.0-dev,
+               libseccomp-dev,
+               libsystemd-dev,
 Standards-Version: 4.4.1
 Homepage: https://github.com/containers/conmon
 Vcs-Browser: https://salsa.debian.org/podman-team/conmon

## conmon 2.1.3+ds1

=== debian/changelog ===
conmon (2.1.3+ds1-1) unstable; urgency=medium

  * New upstream release
    - Fixes: conmon: address already in use, closes: #999548

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 06 Aug 2022 16:12:36 +0200

conmon (2.1.2+ds1-2) unstable; urgency=medium

  * Add golang-github-containers-conmon-dev

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 03 Jul 2022 18:15:11 -0400

conmon (2.1.2+ds1-1) unstable; urgency=medium

  * New upstream release
  * debian/copyright: normalize with 'cme update dpkg-copyright'
  * Bump standards-version, no changes needed
  * debian/upstream/metadata: add bug-database

 -- Reinhard Tartler <siretart@tauware.de>  Sun, 03 Jul 2022 16:53:27 -0400

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,7 @@
 Section: admin
 Priority: optional
 Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
-Uploaders: Birger Schacht <birger@rantanplan.org>,
-           Jamie Bliss <jamie@ivyleav.es>,
+Uploaders: Jamie Bliss <jamie@ivyleav.es>,
            Nicolas Braud-Santoni <nicoo@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
            Reinhard Tartler <siretart@tauware.de>,
@@ -13,7 +12,7 @@
                libglib2.0-dev,
                libseccomp-dev,
                libsystemd-dev,
-Standards-Version: 4.4.1
+Standards-Version: 4.6.1
 Homepage: https://github.com/containers/conmon
 Vcs-Browser: https://salsa.debian.org/podman-team/conmon
 Vcs-Git: https://salsa.debian.org/podman-team/conmon.git
@@ -45,3 +44,14 @@
  Written in C and designed to have a low memory footprint, conmon is intended to
  be run by a container managing library. Essentially, conmon is the smallest
  daemon a container can have.
+
+Package: golang-github-containers-conmon-dev
+Architecture: all
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: OCI container runtime monitor 
+ Conmon is a monitoring program and communication tool between a container
+ manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a
+ single container.
+ .
+ This package contains golang sources that other packages may require for
+ building.

## conmon 2.1.6+ds1

=== debian/changelog ===
conmon (2.1.6+ds1-1) unstable; urgency=medium

  * New upstream release
  * Avoid Build-Depends on golang-go, Closes: #1023042

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 11 Feb 2023 12:41:46 -0500

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,6 @@
            Reinhard Tartler <siretart@tauware.de>,
 Build-Depends: debhelper-compat (= 12),
                go-md2man,
-               golang-go,
                libglib2.0-dev,
                libseccomp-dev,
                libsystemd-dev,

## conmon 2.1.10+ds1

=== Makefile ===
--- 
+++ 
@@ -6,19 +6,16 @@
 PROJECT := github.com/containers/conmon
 PKG_CONFIG ?= pkg-config
 HEADERS := $(wildcard src/*.h)
-OBJS := src/conmon.o src/cmsg.o src/ctr_logging.o src/utils.o src/cli.o src/globals.o src/cgroup.o src/conn_sock.o src/oom.o src/ctrl.o src/ctr_stdio.o src/parent_pipe_fd.o src/ctr_exit.o src/runtime_args.o src/close_fds.o
-DEBUGTAG ?=
-ifneq (,$(findstring enable_debug,$(DEBUGTAG)))
-	DEBUGFLAG=-g
-else
-	DEBUGFLAG=
-endif
+
+OBJS := src/conmon.o src/cmsg.o src/ctr_logging.o src/utils.o src/cli.o src/globals.o src/cgroup.o src/conn_sock.o src/oom.o src/ctrl.o src/ctr_stdio.o src/parent_pipe_fd.o src/ctr_exit.o src/runtime_args.o src/close_fds.o src/seccomp_notify.o
+
+MAKEFILE_PATH := $(dir $(abspath $(lastword $(MAKEFILE_LIST))))
 
 .PHONY: all git-vars docs
 all: git-vars bin bin/conmon
 
 git-vars:
-ifeq ($(shell bash -c '[[ `command -v git` && `git rev-parse --git-dir 2>/dev/null` ]] && echo true'),true)
+ifeq ($(shell bash -c '[[ `command -v git` && `git rev-parse --git-dir 2>/dev/null` ]] && echo 0'),0)
 	$(eval COMMIT_NO :=$(shell git rev-parse HEAD 2> /dev/null || true))
 	$(eval GIT_COMMIT := $(if $(shell git status --porcelain --untracked-files=no),"${COMMIT_NO}-dirty","${COMMIT_NO}"))
 	$(eval GIT_BRANCH := $(shell git rev-parse --abbrev-ref HEAD 2>/dev/null))
@@ -41,18 +38,23 @@
 # "pkg-config --exists" will error if the package doesn't exist. Make can only compare
 # output of commands, so the echo commands are to allow pkg-config to error out, make to catch it,
 # and allow the compilation to complete.
-ifeq ($(shell $(PKG_CONFIG) --exists libsystemd-journal && echo "0" || echo "1"), 0)
+ifeq ($(shell $(PKG_CONFIG) --exists libsystemd-journal && echo "0"), 0)
 	override LIBS += $(shell $(PKG_CONFIG) --libs libsystemd-journal)
-	override CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd-journal) -D USE_JOURNALD=0
-else ifeq ($(shell $(PKG_CONFIG) --exists libsystemd && echo "0" || echo "1"), 0)
+	override CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd-journal) -D USE_JOURNALD=1
+else ifeq ($(shell $(PKG_CONFIG) --exists libsystemd && echo "0"), 0)
 	override LIBS += $(shell $(PKG_CONFIG) --libs libsystemd)
-	override CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) -D USE_JOURNALD=0
+	override CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) -D USE_JOURNALD=1
+endif
+
+ifeq ($(shell hack/seccomp-notify.sh), 0)
+	override LIBS += $(shell $(PKG_CONFIG) --libs libseccomp) -ldl
+	override CFLAGS += $(shell $(PKG_CONFIG) --cflags libseccomp) -D USE_SECCOMP=1
 endif
 
 # Update nix/nixpkgs.json its latest stable commit
 .PHONY: nixpkgs
 nixpkgs:
-	@nix run -f channel:nixos-20.09 nix-prefetch-git -c nix-prefetch-git \
+	@nix run -f channel:nixpkgs-unstable nix-prefetch-git -- \
 		--no-deepClone https://github.com/nixos/nixpkgs > nix/nixpkgs.json
 
 # Build statically linked binary
@@ -72,8 +74,16 @@
 	$(GO) build $(LDFLAGS) -tags "$(BUILDTAGS)" -o bin/config $(PROJECT)/cmd/conmon-config
 		( cd src && $(CURDIR)/bin/config )
 
-test: git-vars runner/conmon_test/*.go runner/conmon/*.go
+.PHONY: test-binary
+test-binary: bin/conmon _test-files
+	CONMON_BINARY="$(MAKEFILE_PATH)bin/conmon" $(GO) test $(LDFLAGS) -tags "$(BUILDTAGS)" $(PROJECT)/runner/conmon_test/ -count=1 -v
+
+.PHONY: test
+test:_test-files
 	$(GO) test $(LDFLAGS) -tags "$(BUILDTAGS)" $(PROJECT)/runner/conmon_test/
+
+.PHONY: test-files
+_test-files: git-vars runner/conmon_test/*.go runner/conmon/*.go
 
 bin:
 	mkdir -p bin
@@ -102,21 +112,24 @@
 crio: install.crio
 
 install.bin: bin/conmon
-	install ${SELINUXOPT} -D -m 755 bin/conmon $(DESTDIR)$(BINDIR)/conmon
+	install ${SELINUXOPT} -d -m 755 $(DESTDIR)$(BINDIR)
+	install ${SELINUXOPT} -m 755 bin/conmon $(DESTDIR)$(BINDIR)/conmon
 
 install.crio: bin/conmon
-	install ${SELINUXOPT} -D -m 755 bin/conmon $(DESTDIR)$(LIBEXECDIR)/crio/conmon
+	install ${SELINUXOPT} -d -m 755 $(DESTDIR)$(LIBEXECDIR)/crio
+	install ${SELINUXOPT} -m 755 bin/conmon $(DESTDIR)$(LIBEXECDIR)/crio/conmon
 
 install.podman: bin/conmon
-	install ${SELINUXOPT} -D -m 755 bin/conmon $(DESTDIR)$(LIBEXECDIR)/podman/conmon
+	install ${SELINUXOPT} -d -m 755 $(DESTDIR)$(LIBEXECDIR)/podman
+	install ${SELINUXOPT} -m 755 bin/conmon $(DESTDIR)$(LIBEXECDIR)/podman/conmon
 
 install.tools:
-	make -C tools
+	$(MAKE) -C tools
 
 .PHONY: fmt
 fmt:
-	find . '(' -name '*.h' -o -name '*.c' ! -path './vendor/*' ')'  -exec clang-format -i {} \+
-	find . -name '*.go' ! -path './vendor/*' -exec gofmt -s -w {} \+
+	find . '(' -name '*.h' -o -name '*.c' ! -path './vendor/*' ! -path './tools/vendor/*' ')' -exec clang-format -i {} \+
+	find . -name '*.go' ! -path './vendor/*' ! -path './tools/vendor/*' -exec gofmt -s -w {} \+
 	git diff --exit-code

=== debian/changelog ===
conmon (2.1.10+ds1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:48:49 +0000

conmon (2.1.10+ds1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:07:23 +0000

conmon (2.1.10+ds1-1) unstable; urgency=medium

  * New upstream release
  * Bug fix: "Healthcheck containers write error to system journal",
    thanks to Matthew Horan (Closes: #1054629).
  * Bug fix: "Fails to build source after successful build",
    thanks to Lucas Nussbaum (Closes: #1044372).
  * Bump standards version, no changes needed

 -- Reinhard Tartler <siretart@tauware.de>  Mon, 12 Feb 2024 06:35:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: conmon
 Section: admin
 Priority: optional
-Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
 Uploaders: Jamie Bliss <jamie@ivyleav.es>,
            Nicolas Braud-Santoni <nicoo@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
@@ -11,7 +12,7 @@
                libglib2.0-dev,
                libseccomp-dev,
                libsystemd-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/containers/conmon
 Vcs-Browser: https://salsa.debian.org/podman-team/conmon
 Vcs-Git: https://salsa.debian.org/podman-team/conmon.git

## conmon 2.1.12

=== debian/changelog ===
conmon (2.1.12-4) unstable; urgency=medium

  * Team upload

  [ Reinhard Tartler ]
  * restrict tests to amd64
    the test require qemu, no need to bother other architectures

  [ Anshul Singh ]
  * Turn off go vet to fix autopkgtest regression with Go1.24

 -- Shengjing Zhu <zhsj@debian.org>  Fri, 14 Feb 2025 18:00:11 +0800

conmon (2.1.12-3) unstable; urgency=medium

  * autopkgtests/test-binary: make sure that patches are applied

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 23 Oct 2024 19:43:33 -0400

conmon (2.1.12-2) unstable; urgency=medium

  * Make autopkgtest more reliable
    - backport patches from upstream to avoid libpod dependency,
      which allows running the test against the golang code we
      actually have in the distribution.
    - also backport an upstream commit that adds a strategic sleep
      to make the test less likely to fail randomly
    - disable ginkgo color output
  * Mark golang-github-containers-conmon-dev as Multi-arch: foreign

 -- Reinhard Tartler <siretart@tauware.de>  Wed, 23 Oct 2024 06:47:02 -0400

conmon (2.1.12-1) unstable; urgency=medium

  * New upstream release
  * debian/control: Update Vcs-Git fields

 -- Reinhard Tartler <siretart@tauware.de>  Sat, 05 Oct 2024 12:00:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,26 +1,25 @@
 Source: conmon
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
+Maintainer: Podman Packaging Team <team+podman@tracker.debian.org>
 Uploaders: Jamie Bliss <jamie@ivyleav.es>,
            Nicolas Braud-Santoni <nicoo@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
-           Reinhard Tartler <siretart@tauware.de>,
+           Reinhard Tartler <siretart@tauware.de>
 Build-Depends: debhelper-compat (= 12),
                go-md2man,
                libglib2.0-dev,
                libseccomp-dev,
-               libsystemd-dev,
+               libsystemd-dev
 Standards-Version: 4.6.2
 Homepage: https://github.com/containers/conmon
-Vcs-Browser: https://salsa.debian.org/podman-team/conmon
-Vcs-Git: https://salsa.debian.org/podman-team/conmon.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/conmon
+Vcs-Git: https://salsa.debian.org/go-team/packages/conmon.git
 Rules-Requires-Root: no
 
 Package: conmon
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: OCI container runtime monitor
  Conmon is a monitoring program and communication tool between a container
  manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a
@@ -47,8 +46,9 @@
 
 Package: golang-github-containers-conmon-dev
 Architecture: all
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: OCI container runtime monitor 
+Multi-Arch: foreign
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: OCI container runtime monitor
  Conmon is a monitoring program and communication tool between a container
  manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a
  single container.

=== debian/tests/control ===
Tests: test-binary
Depends: ca-certificates,
         golang-blitiri-go-systemd-dev,
         golang-github-containers-storage-dev,
         golang-github-onsi-ginkgo-v2-dev,
         golang-github-opencontainers-runtime-tools-dev,
         golang-github-pkg-errors-dev,
         golang-go,
         golang-gomega-dev,
         runc,
         @,
         @builddeps@,
         @recommends@
Restrictions: allow-stderr, isolation-machine, needs-root, rw-build-tree
Architecture: amd64

## conmon 2.1.13%2Bds1

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
            Nicolas Braud-Santoni <nicoo@debian.org>,
            Dmitry Smirnov <onlyjob@debian.org>,
            Reinhard Tartler <siretart@tauware.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                go-md2man,
                libglib2.0-dev,
                libseccomp-dev,
                libsystemd-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/containers/conmon
 Vcs-Browser: https://salsa.debian.org/go-team/packages/conmon
 Vcs-Git: https://salsa.debian.org/go-team/packages/conmon.git
@@ -43,15 +43,3 @@
  Written in C and designed to have a low memory footprint, conmon is intended to
  be run by a container managing library. Essentially, conmon is the smallest
  daemon a container can have.
-
-Package: golang-github-containers-conmon-dev
-Architecture: all
-Multi-Arch: foreign
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Description: OCI container runtime monitor
- Conmon is a monitoring program and communication tool between a container
- manager (like podman or CRI-O) and an OCI runtime (like runc or crun) for a
- single container.
- .
- This package contains golang sources that other packages may require for
- building.

=== debian/tests/control ===
Tests: test-binary
Depends: bats,
         ca-certificates,
         runc,
         @,
         @builddeps@,
         @recommends@
Restrictions: allow-stderr, needs-internet, needs-root, rw-build-tree

## conmon 2.1.13+ds1

=== Makefile ===
--- 
+++ 
@@ -38,10 +38,7 @@
 # "pkg-config --exists" will error if the package doesn't exist. Make can only compare
 # output of commands, so the echo commands are to allow pkg-config to error out, make to catch it,
 # and allow the compilation to complete.
-ifeq ($(shell $(PKG_CONFIG) --exists libsystemd-journal && echo "0"), 0)
-	override LIBS += $(shell $(PKG_CONFIG) --libs libsystemd-journal)
-	override CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd-journal) -D USE_JOURNALD=1
-else ifeq ($(shell $(PKG_CONFIG) --exists libsystemd && echo "0"), 0)
+ifeq ($(shell $(PKG_CONFIG) --exists libsystemd && echo "0"), 0)
 	override LIBS += $(shell $(PKG_CONFIG) --libs libsystemd)
 	override CFLAGS += $(shell $(PKG_CONFIG) --cflags libsystemd) -D USE_JOURNALD=1
 endif
@@ -95,7 +92,10 @@
 	GO111MODULE=on $(GO) mod verify
 
 .PHONY: docs
+ifeq ($(GOMD2MAN),)
 docs: install.tools
+endif
+docs:
 	$(MAKE) -C docs
 
 .PHONY: clean

=== .rpmbuild/Makefile ===
#!/usr/bin/make -f
mkfile_path := $(abspath $(lastword $(MAKEFILE_LIST)))
current_dir := $(notdir $(patsubst %/,%,$(dir $(mkfile_path))))
outdir := $(CURDIR)
topdir := $(CURDIR)/rpmbuild
SHORT_COMMIT ?= $(shell git rev-parse --short=8 HEAD)

srpm:
	mkdir -p $(topdir)
	sh $(current_dir)/prepare.sh
	rpmbuild -bs -D "dist %{nil}" -D "_sourcedir build/" -D "_srcrpmdir $(outdir)" -D "_topdir $(topdir)" --nodeps contrib/spec/conmon.spec

build_binary:
	mkdir -p $(topdir)
	rpmbuild --rebuild -D "_rpmdir $(outdir)" -D "_topdir $(topdir)" $(outdir)/conmon-*.git$(SHORT_COMMIT).src.rpm

clean:
	rm -fr rpms
	rm -fr cri-o

=== docs/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 PREFIX ?= /usr/local
 DATADIR := ${PREFIX}/share
 MANDIR := $(DATADIR)/man
-GOMD2MAN = ../tools/build/go-md2man
+GOMD2MAN ?= ../tools/build/go-md2man
 
 docs: $(patsubst %.md,%,$(wildcard *.8.md))

=== debian/changelog ===
conmon (2.1.13+ds1-2) unstable; urgency=medium

  * autopkgtest: no longer require isolation-machine, amd64

 -- Reinhard Tartler <siretart@tauware.de>  Thu, 18 Sep 2025 20:07:39 -0400

conmon (2.1.13+ds1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit, Security-Contact.
  * Remove obsolete field Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Reinhard Tartler ]
  * New upstream version
  * autopkgtests: Mark test as needing internet
  * Backup upstream rewrite of the integration tests. This replaces the
    ginkgo-based tests implemented in golang with bats that are more
    reliable Closes: #1111871
  * Bump Standards-Version

 -- Reinhard Tartler <siretart@tauware.de>  Fri, 12 Sep 2025 06:19:30 -0400

=== debian/rules ===
--- 
+++ 
@@ -17,10 +17,6 @@
 	dh_auto_build
 	make -C docs docs GOMD2MAN=/usr/bin/go-md2man
 
-# Upstream's `make clean` target is broken
-override_dh_auto_clean:
-	:
-
 # Upstream's `make test` target doesn't work either
 override_dh_auto_test:
 	:

=== debian/watch ===
# https://salsa.debian.org/snippets/95
# uscan(1) configuration file.
version=4

opts="\
pgpmode=none,\
repacksuffix=+ds1,\
repack,compression=xz,\
dirversionmangle=s/-rc/~rc/,\
uversionmangle=s/-rc/~rc/,\
dversionmangle=s{[+~]ds\d*}{},\
" https://github.com/containers/conmon/tags \
  .*/v?@ANY_VERSION@@ARCHIVE_EXT@
